=== tune/blas/gemm/CASES/objs/Makefile ===
all:
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST1 -o djulian1x1_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST1 -o djulian1x2_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST1 -o djulian1x3_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST1 -o djulian1x4_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST2 -o djulian2x1_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST2 -o djulian2x2_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST2 -o djulian2x3_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST2 -o djulian2x4_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST3 -o djulian3x1_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST3 -o djulian3x2_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST3 -o djulian3x3_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST3 -o djulian3x4_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST4 -o djulian4x1_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST4 -o djulian4x2_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST4 -o djulian4x3_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST4 -o djulian4x4_bX.o \
             ATL_dJIK30x30x30TN30x30x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST1 -o sjulian1x1_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST1 -o sjulian1x2_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST1 -o sjulian1x3_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST1 -o sjulian1x4_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST1 -o sjulian1x5_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST1 -o sjulian1x6_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST1 -o sjulian1x7_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST2 -o sjulian2x1_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST2 -o sjulian2x2_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST2 -o sjulian2x3_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST2 -o sjulian2x4_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST2 -o sjulian2x5_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST2 -o sjulian2x6_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST2 -o sjulian2x7_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST3 -o sjulian3x1_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST3 -o sjulian3x2_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST3 -o sjulian3x3_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST3 -o sjulian3x4_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST3 -o sjulian3x5_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST3 -o sjulian3x6_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST3 -o sjulian3x7_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST4 -o sjulian4x1_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST4 -o sjulian4x2_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST4 -o sjulian4x3_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST4 -o sjulian4x4_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST4 -o sjulian4x5_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST4 -o sjulian4x6_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST4 -o sjulian4x7_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST5 -o sjulian5x1_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST5 -o sjulian5x2_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST5 -o sjulian5x3_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST5 -o sjulian5x4_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST5 -o sjulian5x5_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST5 -o sjulian5x6_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST5 -o sjulian5x7_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST6 -o sjulian6x1_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST6 -o sjulian6x2_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST6 -o sjulian6x3_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST6 -o sjulian6x4_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST6 -o sjulian6x5_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST6 -o sjulian6x6_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST6 -o sjulian6x7_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST7 -o sjulian7x1_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST7 -o sjulian7x2_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST7 -o sjulian7x3_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST7 -o sjulian7x4_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST7 -o sjulian7x5_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST7 -o sjulian7x6_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST7 -o sjulian7x7_bX.o \
             ATL_sJIK48x48x48TN48x48x0_a1_bX.asm

	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST1 -o djulian1x1_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST1 -o djulian1x2_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST1 -o djulian1x3_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST1 -o djulian1x4_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST2 -o djulian2x1_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST2 -o djulian2x2_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST2 -o djulian2x3_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST2 -o djulian2x4_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST3 -o djulian3x1_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST3 -o djulian3x2_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST3 -o djulian3x3_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST3 -o djulian3x4_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST4 -o djulian4x1_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST4 -o djulian4x2_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST4 -o djulian4x3_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST4 -o djulian4x4_b1.o \
             ATL_dJIK30x30x30TN30x30x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST1 -o sjulian1x1_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST1 -o sjulian1x2_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST1 -o sjulian1x3_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST1 -o sjulian1x4_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST1 -o sjulian1x5_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST1 -o sjulian1x6_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST1 -o sjulian1x7_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST2 -o sjulian2x1_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST2 -o sjulian2x2_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST2 -o sjulian2x3_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST2 -o sjulian2x4_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST2 -o sjulian2x5_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST2 -o sjulian2x6_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST2 -o sjulian2x7_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST3 -o sjulian3x1_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST3 -o sjulian3x2_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST3 -o sjulian3x3_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST3 -o sjulian3x4_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST5 -DPREB_DST3 -o sjulian3x5_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST6 -DPREB_DST3 -o sjulian3x6_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST7 -DPREB_DST3 -o sjulian3x7_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST1 -DPREB_DST4 -o sjulian4x1_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST2 -DPREB_DST4 -o sjulian4x2_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST3 -DPREB_DST4 -o sjulian4x3_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
	nasm -f elf -DELF -DPREC_DST4 -DPREB_DST4 -o sjulian4x4_b1.o \
             ATL_sJIK48x48x48TN48x48x0_a1_b1.asm
