=== debian/changelog ===
atlas (3.10.1-4) unstable; urgency=medium

  * libatlas3gf-base: update long description to suppress lintian warning.
  * Remove architectural defaults for obsolete s390 arch.
  * Use the new GENERIC arch name for powerpc, instead of POWER3.
    Hopefully that will fix the FTBFS on powerpc.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 03 Feb 2014 18:16:51 +0000

atlas (3.10.1-3) unstable; urgency=medium

  * libatlas-base-dev now provides liblapack.so.
  * Remove unused libatlas-3.so, libatlas-3gf.so and libatlas.so.* virtual
    packages.
  * Rewrite logic in libatlas3-base.postinst. (Closes: #719142)
  * Disable autodetection of machine type on archs for which ATLAS does not
    provide generic-enough architectural defaults. This is achieved by creating
    a GENERIC machine type (see generic.diff). In particular, this ensures that
    the package created on an armel buildd with an ARMv7 will be generic.
    (Closes: #719355)
  * Register documentation to doc-base.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 Jan 2014 19:23:08 +0100

atlas (3.10.1-2) unstable; urgency=low

  * Allow the generic package to build on machines with CPU throttling
    enabled. Otherwise the package FTBFS on some buildds (e.g. biber).
    Implementation is done by reactivating the "-Si cputhrchk 0" flag
    (cpu-throtthling-check.diff), and using it in debian/rules.
  * Add architectural defaults for armel and mips.
  * armhf.diff: do not enforce 32-registers FPU for Fortran

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Jul 2013 14:26:05 +0200

atlas (3.10.1-1) experimental; urgency=low

  [ Sylvestre Ledru ]
  * New upstream release (Closes: #609287)

  [ Sébastien Villemot ]
  * Provide architectural defaults (i.e. precomputed timings) for all
    release archs (except armel and mips for the time being, due to slow
    porterboxes). This will make the package build much faster and should
    eliminate transient build failures due to excessive variance in the
    timings.
  * Move symlinks for lib{cblas,f77blas,atlas,lapack_atlas} out of the
    libblas.so.3 alternative and make them always present, so that
    software relying on these libs do not break when another alternative
    is selected for BLAS
  * ATLAS now has improved ARM support with native asm constructs. This required
    the following tunes:
    + armel-is-v4t.diff: new patch, prevents FTBFS on armel; otherwise,
      ATLAS uses asm constructs too recent for the platform (armel is only v4t)
    + debian/rules: on armhf, define the ATL_ARM_HARDFP flag; otherwise the asm
      constructs use the soft-float ABI for passing floating points
    + on armhf, ensure that -mfloat-abi=softfp and -mcpu=vfpv3 flags are never
      used; this is implemented via a patch (armhf.diff) and by the use of fixed
      archdefs
  * The generic package is now built without multi-threading, because otherwise
    the package fails to build on some single-processor machines (this required
    the introduction of a patch: fix-non-threaded-build.diff). As a side effect,
    the build of the custom package gracefully handles non-threaded
    builds. (Closes: #602524)
  * Add libblas.a as slave in the libblas.so alternative (Closes: #701921)
  * Add symlinks for lib{f77blas,atlas}.a in /usr/lib (Closes: #666203)
  * Modify shlibs file of libatlas3-base, such that packages using
    libblas/liblapack depend on any BLAS/LAPACK alternative, while packages
    depending on ATLAS-specific libraries (e.g. libatlas.so) depend specifically
    on libatlas3-base.
  * corei1.diff: remove patch, applied upstream
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Switch VCS to git
  * Remove Conflicts/Replaces against pre-squeeze packages
  * libatlas-base-dev now provides libblas.so, as libblas-dev
  * No longer use -Wa,--noexecstack in CFLAGS, it makes the package FTBFS
  * Do not use POWER3 arch for powerpcspe port (Closes: #701068)
  * Bump to debhelper compat level 9
  * README.Debian: mention that devscripts is needed to compile the custom
    package (Closes: #697431)
  * Bump Standards-Version to 3.9.4. As a consequence, add Built-Using
    fields because the package embeds stuff from liblapack-pic

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 11 Jun 2013 15:58:16 +0200

atlas (3.8.4-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * libatlas3gf-base: Add Breaks: octave3.2  (Closes: #706328)
    This fixes some upgrade paths by removing the obsolete octave3.2 (and its
    triggers) a bit earlier. This is a workaround for dpkg bug #671711: dpkg
    may run trigger processing for a package even if its dependencies are not
    satisfied. The octave3.2 triggers may be run in such a state (with
    liblapack* and libblas* unpacked but unconfigured, therefore the
    alternatives may not be setup or dangling) and will fail, aborting the
    upgrade, even if octave3.2 would be removed later anyway.
    Similar Breaks exist in libblas3 and libarpack2 to cover more incarnations
    of this bug.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Apr 2013 22:25:26 +0200
